EDIT - bug #10466

Open issues in logfiles
02/01/2024 01:19 AM - Andreas Mdller

Status: Resolved Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 70%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.44

Severity: normal Found in Version:

Description

copied from #10441

Caused by: org.hibernate.LazyInitializationException: failed to lazily initialize a collection of
role: eu.etaxonomy.cdm.model.taxon.Taxon.descriptions, could not initialize proxy - no Session

at org.hibernate.collection.internal.AbstractPersistentCollection.throwLazyInitializationExcep
tion (AbstractPersistentCollection.java:606)

at org.hibernate.collection.internal.AbstractPersistentCollection.withTemporarySessionIfNeeded
(AbstractPersistentCollection. java:218)

at org.hibernate.collection.internal.AbstractPersistentCollection.initialize (AbstractPersisten
tCollection. java:585)

at org.hibernate.collection.internal.AbstractPersistentCollection.read (AbstractPersistentColle
ction.java:149)

at org.hibernate.collection.internal.PersistentSet.iterator (PersistentSet. java:188)

at eu.etaxonomy.cdm.model.taxon.Taxon.getDefaultDescription (Taxon.java:459)

Also check for new issues in log files. Ask users to send them.

Related issues:
Copied from EDIT - bug #10441: LIE in logfiles for DefinedTermBase.includes Closed

Associated revisions

Revision a604d4c8 - 02/02/2024 10:23 AM - Andreas Miiller

ref #10424 make getDefaultDescription transient

History

#1 - 02/01/2024 01:19 AM - Andreas Miiller
- Copied from bug #10441: LIE in logfiles for DefinedTermBase.includes added

#2 - 02/01/2024 01:20 AM - Andreas Miiller

- Description updated

#3 - 02/02/2024 10:29 AM - Andreas Miiller

- Tags set to performance

- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller
- Priority changed from New to Highest

- % Done changed from 0 to 70

This should be fixed.

#4 - 02/02/2024 12:10 PM - Andreas Miiller

- Assignee changed from Andreas Muiller to Katja Luther

Please check in log files if the error is still in log files.
